GET /api/v3/accounts¶
Summary¶
GET accounts
Description¶
Return a list of accounts See Account Response Fields for more information on the account object response
Tags: accounts
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)accounts(array)-
Array items:
objectType:objectProperties:
name(string)options(object) Type:object
Properties:
primary_image_public_url(string)-
primary_image_background_removed_public_url(string) -
lcuid(string) slug(string)website(string)description(string)created_at(string)inventory_item_class(array)- Array items:
string account_class(string)inventory_item_class_description(string)account_class_description(string)is_parent_account(boolean)
Example Response¶
{
"success": true,
"accounts": [
{
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-3003dc0c-e81d-4fca-bbf8-c424fff7bc0b",
"slug": "UnitTestAccountN90h6",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-02-03T18:12:49.000000Z",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
"inventory_item_class_description": "Generic",
"account_class_description": "Inventory",
"is_parent_account": false
},
{
"name": "Coastline Auto",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-5e59d6c3-0f9c-4da4-8aec-71f9ec1d7ed5",
"slug": "UnitTestAccountNtxlg",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-02-03T18:12:50.000000Z",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
"inventory_item_class_description": "Generic",
"account_class_description": "Inventory",
"is_parent_account": false
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/accounts" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/accounts"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/accounts',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/accounts'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"accounts": [
{
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-3003dc0c-e81d-4fca-bbf8-c424fff7bc0b",
"slug": "UnitTestAccountN90h6",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-02-03T18:12:49.000000Z",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
"inventory_item_class_description": "Generic",
"account_class_description": "Inventory",
"is_parent_account": false
},
{
"name": "Coastline Auto",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-5e59d6c3-0f9c-4da4-8aec-71f9ec1d7ed5",
"slug": "UnitTestAccountNtxlg",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-02-03T18:12:50.000000Z",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass"
],
"account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
"inventory_item_class_description": "Generic",
"account_class_description": "Inventory",
"is_parent_account": false
}
]
}